INodeAttributeProvider.AuthorizationContext (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: INodeAttributeProvider, class: AuthorizationContext

Package org.apache.hadoop.hdfs.server.namenode

# Class INodeAttributeProvider.AuthorizationContext

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.INodeAttributeProvider.AuthorizationContext

Enclosing class:
  INodeAttributeProvider

public static class INodeAttributeProvider.AuthorizationContext extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `INodeAttributeProvider.AuthorizationContext.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationContext(INodeAttributeProvider.AuthorizationContext.Builder builder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `org.apache.hadoop.fs.permission.FsAction`
  `getAccess()`
  `org.apache.hadoop.fs.permission.FsAction`
  `getAncestorAccess()`
  `int`
  `getAncestorIndex()`
  `org.apache.hadoop.ipc.CallerContext`
  `getCallerContext()`
  `org.apache.hadoop.security.UserGroupInformation`
  `getCallerUgi()`
  `String`
  `getFsOwner()`
  `INodeAttributes[]`
  `getInodeAttrs()`
  `INode[]`
  `getInodes()`
  `String`
  `getOperationName()`
  `org.apache.hadoop.fs.permission.FsAction`
  `getParentAccess()`
  `String`
  `getPath()`
  `byte[][]`
  `getPathByNameArr()`
  `int`
  `getSnapshotId()`
  `org.apache.hadoop.fs.permission.FsAction`
  `getSubAccess()`
  `String`
  `getSupergroup()`
  `int`
  `hashCode()`
  `boolean`
  `isDoCheckOwner()`
  `boolean`
  `isIgnoreEmptyDir()`
  `void`
  `setAccess(org.apache.hadoop.fs.permission.FsAction access)`
  `void`
  `setAncestorAccess(org.apache.hadoop.fs.permission.FsAction ancestorAccess)`
  `void`
  `setAncestorIndex(int ancestorIndex)`
  `void`
  `setCallerContext(org.apache.hadoop.ipc.CallerContext callerContext)`
  `void`
  `setCallerUgi(org.apache.hadoop.security.UserGroupInformation callerUgi)`
  `void`
  `setDoCheckOwner(boolean doCheckOwner)`
  `void`
  `setFsOwner(String fsOwner)`
  `void`
  `setIgnoreEmptyDir(boolean ignoreEmptyDir)`
  `void`
  `setInodeAttrs(INodeAttributes[] inodeAttrs)`
  `void`
  `setInodes(INode[] inodes)`
  `void`
  `setOperationName(String operationName)`
  `void`
  `setParentAccess(org.apache.hadoop.fs.permission.FsAction parentAccess)`
  `void`
  `setPath(String path)`
  `void`
  `setPathByNameArr(byte[][] pathByNameArr)`
  `void`
  `setSnapshotId(int snapshotId)`
  `void`
  `setSubAccess(org.apache.hadoop.fs.permission.FsAction subAccess)`
  `void`
  `setSupergroup(String supergroup)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthorizationContext

    public AuthorizationContext(INodeAttributeProvider.AuthorizationContext.Builder builder)

- ## Method Details

  - ### getFsOwner

    public String getFsOwner()

  - ### setFsOwner

    public void setFsOwner(String fsOwner)

  - ### getSupergroup

    public String getSupergroup()

  - ### setSupergroup

    public void setSupergroup(String supergroup)

  - ### getCallerUgi

    public org.apache.hadoop.security.UserGroupInformation getCallerUgi()

  - ### setCallerUgi

    public void setCallerUgi(org.apache.hadoop.security.UserGroupInformation callerUgi)

  - ### getInodeAttrs

    public INodeAttributes[] getInodeAttrs()

  - ### setInodeAttrs

    public void setInodeAttrs(INodeAttributes[] inodeAttrs)

  - ### getInodes

    public INode[] getInodes()

  - ### setInodes

    public void setInodes(INode[] inodes)

  - ### getPathByNameArr

    public byte[][] getPathByNameArr()

  - ### setPathByNameArr

    public void setPathByNameArr(byte[][] pathByNameArr)

  - ### getSnapshotId

    public int getSnapshotId()

  - ### setSnapshotId

    public void setSnapshotId(int snapshotId)

  - ### getPath

    public String getPath()

  - ### setPath

    public void setPath(String path)

  - ### getAncestorIndex

    public int getAncestorIndex()

  - ### setAncestorIndex

    public void setAncestorIndex(int ancestorIndex)

  - ### isDoCheckOwner

    public boolean isDoCheckOwner()

  - ### setDoCheckOwner

    public void setDoCheckOwner(boolean doCheckOwner)

  - ### getAncestorAccess

    public org.apache.hadoop.fs.permission.FsAction getAncestorAccess()

  - ### setAncestorAccess

    public void setAncestorAccess(org.apache.hadoop.fs.permission.FsAction ancestorAccess)

  - ### getParentAccess

    public org.apache.hadoop.fs.permission.FsAction getParentAccess()

  - ### setParentAccess

    public void setParentAccess(org.apache.hadoop.fs.permission.FsAction parentAccess)

  - ### getAccess

    public org.apache.hadoop.fs.permission.FsAction getAccess()

  - ### setAccess

    public void setAccess(org.apache.hadoop.fs.permission.FsAction access)

  - ### getSubAccess

    public org.apache.hadoop.fs.permission.FsAction getSubAccess()

  - ### setSubAccess

    public void setSubAccess(org.apache.hadoop.fs.permission.FsAction subAccess)

  - ### isIgnoreEmptyDir

    public boolean isIgnoreEmptyDir()

  - ### setIgnoreEmptyDir

    public void setIgnoreEmptyDir(boolean ignoreEmptyDir)

  - ### getOperationName

    public String getOperationName()

  - ### setOperationName

    public void setOperationName(String operationName)

  - ### getCallerContext

    public org.apache.hadoop.ipc.CallerContext getCallerContext()

  - ### setCallerContext

    public void setCallerContext(org.apache.hadoop.ipc.CallerContext callerContext)

  - ### equals

    @VisibleForTesting public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`